Bug 218807 - [PATCH] mail/p5-Mail-IMAPClient: fix dependency list
Summary: [PATCH] mail/p5-Mail-IMAPClient: fix dependency list
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Philippe Audeoud
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-22 06:58 UTC by Martin Waschbüsch
Modified: 2020-04-25 15:18 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (jadawin)


Attachments
allow to choose optional dependencies (1.26 KB, patch)
2017-04-22 07:13 UTC, Martin Waschbüsch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Waschbüsch 2017-04-22 06:58:50 UTC
The list of dependencies in RUN_DEPENDS is currently inconsistent:

p5-Digest-HMAC is listed but is only required when using CRAM-MD5 auth scheme.
p5-Authen-NTLM is required when using NTLM auth scheme, but is not listed.

Adding all the possible dependencies does not seem like a good idea.
For instance, my mail servers only allow secure connections so I will only ever need PLAIN authentication. No need for the whole SASL, NTLM, etc. stuff to be dragged in.

The attached patch attempts to solve this by allowing to chose which optional dependencies to install.
Comment 1 Martin Waschbüsch 2017-04-22 07:13:05 UTC
Created attachment 181996 [details]
allow to choose optional dependencies
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-10 03:58:51 UTC
Maintainer feedback?
Comment 3 commit-hook freebsd_committer 2020-04-25 15:16:15 UTC
A commit references this bug:

Author: arrowd
Date: Sat Apr 25 15:15:22 UTC 2020
New revision: 532956
URL: https://svnweb.freebsd.org/changeset/ports/532956

Log:
  mail/p5-Mail-IMAPClient: Add OPTIONS.

  PR:		218807
  Submitted by:	Martin Waschusch <martin@waschbuesch.de>

Changes:
  head/mail/p5-Mail-IMAPClient/Makefile
Comment 4 Gleb Popov freebsd_committer 2020-04-25 15:18:35 UTC
Committed, thanks. I modified your patch a bit by enabling CRAMMD5 and DIGESTMD5 options by default, since these were enabled when the port did not support OPTIONS.

This will prevent POLA violation for users.